Hjem Nyheter Globalt Kritisk sikkerhetshull oppdaget i mange programmer

Kritisk sikkerhetshull oppdaget i mange programmer

0

IT Log4shell er en ny sårbarhet oppdaget i en åpenkilde-komponent som påvirker mange foretak, en av de verste sårbarhetene i dette tiåret.

Illustrasjon: Den sveitsiske regjeringens datanødresponsteam (GovCERT.ch).

Nylig ble det oppdaget et sikkerhetshull i Log4j, som er en åpenkilde-komponent for logging i Java-applikasjoner, som omtales som «Log4shell» eller «Logjam». Siden dette har IT-avdelinger rundt om i verden jobbet hardt med å identifisere utsatte produkter og stenge sårbarhetene, og samtidig forsøker ondsinnede aktører å dra full nytte av denne sårbarheten. Ifølge ulike rapporter har antallet inntrengningsforsøk nådd hundretusener eller til og med millioner, og utnyttelse er observert så tidlig som 1. desember 2021. Blant annet er mange privatpersoner blitt hacket via chat-beskjeder i spillet Minecraft.

Sikkerhetshullet har den høyeste klassifiseringen på CVSSv3-skalaen, som brukes for å bedømme graden av programvare- eller systemsikkerhetsproblemer. Det er en komponent som brukes for å håndtere logger som brukes i et stort antall programmer fra blant annet Microsoft, Apple og Google.

Sårbarheten eksisterer i Log4j versjon 2.0-beta9 fram til 2.14.1. Det er dog ifølge digi.no også oppdaget to nye sårbarheter i versjon 2.15.0, som skulle tette den opprinnelige sårbarheten.

Kan utrolig lett utnyttes

Sårbarheten er så alvorlig da den lett kan utnyttes. Også uerfarne hackere kan komme til for eksempel en webtjener og bruke den for å få tilgang til data eller kontrollere hele systemet. Det går også an å utføre diverse ulike angrep via sårbarheten, hvilket gjør at den har et utrolig bredt bruksområde, fra for eksempel å installere løsepengevirus og kryptoutvinnere, til å bygge botnett som kan utføre tjenestenektangrep.

Den amerikanske cybersikkerhetsmyndigheten (CISA) har påbegynt en liste med ulike programvareprodukter som er påvirket, som er utrolig lang, over 500 ulike tjenester.

Hvordan påvirker dette brukere?

For brukeren har dette ingen større betydning, foruten at man kan oppleve at visse tjenester kan ligge nede for vedlikehold, og om man selv har utstyr som kan bli påvirket. Men man må likevel være bevisst på at risikoen for at for eksempel nettsider kan bli hacket og opplysninger kan bli lekket er utrolig høy akkurat nå.

Et godt råd er derfor å være nøye med å ha ulike passord på ulike steder, og bruke sunn fornuft når det kommer til digital sikkerhet, og se til å bruke relevante sikkerhetsoppdateringer, ikke bare på datamaskin og mobil, men også rutere og smarte enheter i hjemmet.

Android-enheter skal ikke være påvirket, da de bruker en eldre versjon av den sårbare komponenten.

Nasjonalt cybersikkerhetssenter (NCSC) anbefaler at alle virksomheter identifiserer hvilke systemer og applikasjoner som benytter Log4j og oppgraderer alle forekomster til en sikker versjon, det vil si versjon 2.16.0 eller senere.

Mer informasjon finnes på Github og Apache logging.

Delta i debatten

Les retningslinjene for kommentarfeltet HER.
Abonner
Bli varslet om
guest
0 Comments
Inline Feedbacks
Vis alle innlegg